#include <iostream>
#include "ist/ist_lua.h"
using namespace ist;


int main()
{
	lua_State *L = lua_open();
	lua::math3dlibopen(L);
	lua_baselibopen(L);
	lua_strlibopen(L);

	try {
		lua_dofile(L, "testlua_math3d.lua");
	}
	catch(const std::runtime_error& er) {
		std::cout << er.what() << std::endl;
	}

	lua_close(L);
}


